#define PIN_SURFACE
#include "default.hlsl"

Surface surfaceShader(SurfaceInput IN, float fade)
{
	float4 material = tex2D(DiffuseMap, IN.Uv * 0.18);

    Surface surface = (Surface)0;
    surface.albedo = IN.Color.rgb + (material.rgb - 0.5) * fade;
    surface.normal = float3(0, 0, 1);
    surface.specular = 0.19;
    surface.gloss = 14;

	return surface;
}
